Subject: [Megaco] INEQUAL, parmValue

From: Raphael Tryster <[email-masked]>
Date: Sun, 2 Jun 2002 10:21:40 +0200

INEQUAL              = LWSP (">" / "<" / "#" ) LWSP 

The symbol "#" is not explained.  From the ASN.1, it appears that it means
"not equal".  I found a comment in the archives describing it as "quantity
of" (??)
Which is correct?

Can a parmValue have the full set of underspecified forms anywhere the
syntax permits it, or are there restrictions depending on the particular
value involved?  For example, sublists, alternatives and ranges don't seem
very useful in the LocalControl descriptor, where I would expect nt/jit to
be a simple equality to a number, and tdmc/ec to be a simple equality to
"on" or "off".  The purpose of my question is to understand if data
structures holding parser output must always be prepared for the most
general form of parameter values, or if simplifying assumptions may be made
on a case by case basis.

Raphael Tryster